Name:          unrar
Version:       7.0.9
Release:       1mamba
Summary:       Unrar can extract files from .rar archives
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.rarlab.com
Source:        http://www.rarlab.com/rar/unrarsrc-%{version}.tar.gz
Patch:         %{name}-5.0.14-man.patch
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Unrar can extract files from .rar archives.
If you want to create .rar archives, install package rar.

%package -n libunrar
Group:         System/Libraries
Summary:       Unrar shared library

%description -n libunrar
This package contains the shared library prived with unrar.

%package -n libunrar-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for libunrar
Requires:      libunrar = %{version}-%{release}

%description -n libunrar-devel
This package contains static libraries and header files needed for development.

%debug_package

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -c -a0
cp -a unrar libunrar

%build
make -C libunrar STRIP=/bin/true lib
make -C unrar STRIP=/bin/true -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 unrar/unrar %{buildroot}%{_bindir}/unrar
install -D -m0755 libunrar/libunrar.so %{buildroot}%{_libdir}/libunrar.so
install -D -m644 libunrar/dll.hpp %{buildroot}%{_includedir}/unrar/dll.hpp
#install -m 0644 unrar.1 %{buildroot}%{_mandir}/man1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/unrar
#%{_mandir}/man1/*
%doc unrar/license.txt

%files -n libunrar
%defattr(-,root,root)
%{_libdir}/libunrar.so
%doc unrar/license.txt

%files -n libunrar-devel
%defattr(-,root,root)
%{_includedir}/unrar/dll.hpp

%changelog
* Wed May 15 2024 Automatic Build System <autodist@openmamba.org> 7.0.9-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 7.0.8-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 7.0.7-1mamba
- automatic version update by autodist

* Fri Jan 26 2024 Automatic Build System <autodist@openmamba.org> 7.0.6-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 7.0.5-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 7.0.4-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 7.0.3-1mamba
- automatic version update by autodist

* Sun Nov 12 2023 Automatic Build System <autodist@mambasoft.it> 7.0.2-1mamba
- automatic version update by autodist

* Fri Oct 06 2023 Automatic Build System <autodist@mambasoft.it> 6.2.12-1mamba
- automatic version update by autodist

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 6.2.11-1mamba
- automatic version update by autodist

* Thu Aug 03 2023 Automatic Build System <autodist@mambasoft.it> 6.2.10-1mamba
- automatic version update by autodist

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 6.2.9-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 6.2.8-1mamba
- automatic version update by autodist

* Mon May 15 2023 Automatic Build System <autodist@mambasoft.it> 6.2.7-1mamba
- automatic version update by autodist

* Mon Feb 20 2023 Automatic Build System <autodist@mambasoft.it> 6.2.6-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 6.2.5-1mamba
- automatic version update by autodist

* Tue Jan 24 2023 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Sun Nov 13 2022 Automatic Build System <autodist@mambasoft.it> 6.2.2-1mamba
- automatic version update by autodist

* Wed Oct 26 2022 Automatic Build System <autodist@mambasoft.it> 6.2.1-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 6.1.7-1mamba
- automatic version update by autodist

* Sun Mar 06 2022 Automatic Build System <autodist@mambasoft.it> 6.1.6-1mamba
- automatic version update by autodist

* Thu Feb 24 2022 Automatic Build System <autodist@mambasoft.it> 6.1.5-1mamba
- automatic version update by autodist

* Tue Jan 25 2022 Automatic Build System <autodist@mambasoft.it> 6.1.4-1mamba
- automatic version update by autodist

* Sun Dec 12 2021 Automatic Build System <autodist@mambasoft.it> 6.1.3-1mamba
- automatic version update by autodist

* Mon Nov 15 2021 Automatic Build System <autodist@mambasoft.it> 6.1.2-1mamba
- automatic version update by autodist

* Mon Jun 14 2021 Automatic Build System <autodist@mambasoft.it> 6.0.7-1mamba
- automatic version update by autodist

* Mon May 17 2021 Automatic Build System <autodist@mambasoft.it> 6.0.6-1mamba
- automatic version update by autodist

* Mon Apr 12 2021 Automatic Build System <autodist@mambasoft.it> 6.0.5-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Automatic Build System <autodist@mambasoft.it> 6.0.4-1mamba
- automatic version update by autodist

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.3-2mamba
- rebuilt with libunrar, debug package and build requirements

* Mon Dec 07 2020 Automatic Build System <autodist@mambasoft.it> 6.0.3-1mamba
- automatic version update by autodist

* Thu Nov 12 2020 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Fri Oct 23 2020 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Mon Jun 29 2020 Automatic Build System <autodist@mambasoft.it> 5.9.4-1mamba
- automatic version update by autodist

* Fri Jun 05 2020 Automatic Build System <autodist@mambasoft.it> 5.9.3-1mamba
- automatic version update by autodist

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 5.9.2-1mamba
- automatic version update by autodist

* Mon Apr 29 2019 Automatic Build System <autodist@mambasoft.it> 5.7.5-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 5.7.4-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.7.3-1mamba
- automatic version update by autodist

* Thu Feb 21 2019 Automatic Build System <autodist@mambasoft.it> 5.7.2-1mamba
- automatic version update by autodist

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Thu Oct 04 2018 Automatic Build System <autodist@mambasoft.it> 5.6.8-1mamba
- automatic version update by autodist

* Tue Oct 02 2018 Automatic Build System <autodist@mambasoft.it> 5.6.7-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.6.6-1mamba
- automatic version update by autodist

* Mon Jul 02 2018 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Fri May 25 2018 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Sat Apr 28 2018 Automatic Build System <autodist@mambasoft.it> 5.6.3-1mamba
- automatic version update by autodist

* Sun Apr 08 2018 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Sun Aug 20 2017 Automatic Build System <autodist@mambasoft.it> 5.5.8-1mamba
- automatic version update by autodist

* Fri Aug 11 2017 Automatic Build System <autodist@mambasoft.it> 5.5.7-1mamba
- automatic version update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 5.4.5-1mamba
- automatic version update by autodist

* Thu Feb 18 2016 Automatic Build System <autodist@mambasoft.it> 5.3.11-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Automatic Build System <autodist@mambasoft.it> 5.3.4-1mamba
- automatic version update by autodist

* Thu Apr 23 2015 Automatic Build System <autodist@mambasoft.it> 5.2.7-1mamba
- automatic version update by autodist

* Thu Feb 19 2015 Automatic Build System <autodist@mambasoft.it> 5.2.6-1mamba
- automatic version update by autodist

* Tue Jan 06 2015 Automatic Build System <autodist@mambasoft.it> 5.2.3-1mamba
- automatic version update by autodist

* Fri Nov 07 2014 Automatic Build System <autodist@mambasoft.it> 5.2.2-1mamba
- automatic version update by autodist

* Thu Oct 23 2014 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 5.1.7-1mamba
- automatic version update by autodist

* Tue Jul 01 2014 Automatic Build System <autodist@mambasoft.it> 5.1.6-1mamba
- automatic version update by autodist

* Sat May 10 2014 Automatic Build System <autodist@mambasoft.it> 5.1.5-1mamba
- automatic version update by autodist

* Fri Apr 18 2014 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 5.0.14-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- update to 4.2.4

* Wed Feb 22 2012 Automatic Build System <autodist@mambasoft.it> 4.1.4-1mamba
- automatic version update by autodist

* Thu Dec 30 2010 Automatic Build System <autodist@mambasoft.it> 4.0.3-1mamba
- automatic update by autodist

* Sat Dec 18 2010 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic update by autodist

* Mon Jun 28 2010 Automatic Build System <autodist@mambasoft.it> 3.9.10-1mamba
- automatic update by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 3.9.7-1mamba
- automatic update by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 3.9.6-1mamba
- automatic update by autodist

* Fri Jul 24 2009 Automatic Build System <autodist@mambasoft.it> 3.9.5-1mamba
- automatic update by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 3.9.3-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.5-1mamba
- automatic update by autodist

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.3-1mamba
- update to 3.7.3

* Tue Sep 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 3.5.4-1qilnx
- update to version 3.5.4 by autospec

* Sun May 16 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.6-1qilnx
- first build
